/*
 * NETCONFIG ENGLISH TEXT DATABASE
 *
 * Copyright (C) 1998 by Ralph F. Siemsen
 * Released under the GNU public license.
 *
 * Modified for Zaphod by Mark Knox, Feb 1999
 *
 * This file contains all the English-language dialog
 * messages used by NetConfig.  For other languages,
 * make a copy of this file, adjust the texts as needed,
 * then point the symlink "language" at the new file.
 */

char *ProgTitle = "Zaphod Configuration Utility";
char *ProgRevision = "$Revision: 1.11 $";
char *ProgDate = "$Date: 1999/04/22 17:55:11 $";

char *ProgHead (void) {
  static char buffer[80];
  strcpy (buffer, ProgTitle);
  strcat (buffer, "  (Version ");
  strcat (buffer, ProgRevision+11);
  strcpy (index (buffer, '$'), "- Built on ");
  strcat (buffer, ProgDate+7);
  strcpy (index (buffer, '$')-1, ")");
  return buffer;
}

char *MainHelp = 
  "Use the cursor keys to navigate and edit.  Press the F10 key to exit.";

char *EditHelp = 
  "Use the cursor keys to navigate and edit.  Press F10 to return to the menu.";

char *GenericHelp =
  "Use cursor keys to navigate. Press Enter to select. Press F10 to return to the main menu.";

char *MenuHelp = 
	"Use the cursor keys to navigate. Press Enter to select an item.";

char *WinTitle[] = {
  "Zaphod Configuration Menu", "Configure Controllers", "Virtual Servers",
  "Virtual Server Selection Menu", "Node Priority", "Network Settings",
  "Add Virtual Server", "Edit Virtual Server", "Virtual Servers",
	"Miscellaneous"
};

char *Labels[] = {
	"Hostname",
	"Domain Name",
	"External Network Address",
	"External Network Mask",
	"Internal Network Address",
	"Internal Network Mask",
	"Gateway",
	"Nameserver",
	"Reporting Interval",
	"Load Balancer",
	"Email Address", 
	"Time Zone",
	"Date & Time",
	"NFS Server",
	"Apache Directory",
	"Data Root",
	"Net Address",
	"Server Name",
	"Hostname",
	"Domain Name",
	"IP Address",
	"Port",
	"Document Root",
	"CGI Directory",
	"SSL",
	"SSL Certificate File",
	"Includes", 
	"Load Balancing",
	"Node List"
};

char *HelpTitle[] = {
	"Description of current item"
};

char *IncludeOptions[] = {
	"None", "No Exec", "Full", NULL
};

char *MonthOptions[] = {
  "Jan", "Feb", "Mar", "Apr", "May", "Jun",
  "Jul", "Aug", "Sep", "Oct", "Nov", "Dec", NULL
};

char *LoadBalancerOptions[] = {
  "Round Robin", "Zaphod", NULL
};

char *IntervalOptions[] = {
	"10 seconds", "20 seconds", "30 seconds", NULL
};

char *SSLOptions[] = {
	"Disabled", "Enabled", NULL
};

char *ZoneOptions[] = {
  "Africa/Abidjan",
  "Africa/Accra",
  "Africa/Addis_Ababa",
  "Africa/Algiers",
  "Africa/Asmera",
  "Africa/Bamako",
  "Africa/Bangui",
  "Africa/Banjul",
  "Africa/Bissau",
  "Africa/Blantyre",
  "Africa/Brazzaville",
  "Africa/Bujumbura",
  "Africa/Casablanca",
  "Africa/Conakry",
  "Africa/Dakar",
  "Africa/Dar_es_Salaam",
  "Africa/Djibouti",
  "Africa/Douala",
  "Africa/Freetown",
  "Africa/Gaborone",
  "Africa/Harare",
  "Africa/Johannesburg",
  "Africa/Kampala",
  "Africa/Khartoum",
  "Africa/Kigali",
  "Africa/Kinshasa",
  "Africa/Lagos",
  "Africa/Libreville",
  "Africa/Lome",
  "Africa/Luanda",
  "Africa/Lumumbashi",
  "Africa/Lusaka",
  "Africa/Malabo",
  "Africa/Maputo",
  "Africa/Maseru",
  "Africa/Mbabane",
  "Africa/Mogadishu",
  "Africa/Monrovia",
  "Africa/Nairobi",
  "Africa/Ndjamena",
  "Africa/Niamey",
  "Africa/Nouakchott",
  "Africa/Ouagadougou",
  "Africa/Porto-Novo",
  "Africa/Sao_Tome",
  "Africa/Timbuktu",
  "Africa/Tunis",
  "Africa/Windhoek",
  "Africa/Cairo",
  "Africa/Tripoli",
  "America/Anguilla",
  "America/Antigua",
  "America/Asuncion",
  "America/Barbados",
  "America/Belize",
  "America/Bogota",
  "America/Buenos_Aires",
  "America/Caracas",
  "America/Cayenne",
  "America/Cayman",
  "America/Costa_Rica",
  "America/Curacao",
  "America/Dominica",
  "America/El_Salvador",
  "America/Ensenada",
  "America/Godthab",
  "America/Grand_Turk",
  "America/Grenada",
  "America/Guadeloupe",
  "America/Guatemala",
  "America/Guayaquil",
  "America/Guyana",
  "America/La_Paz",
  "America/Lima",
  "America/Managua",
  "America/Martinique",
  "America/Miquelon",
  "America/Montevideo",
  "America/Montserrat",
  "America/Nassau",
  "America/Panama",
  "America/Paramaribo",
  "America/Port-au-Prince",
  "America/Port_of_Spain",
  "America/Puerto_Rico",
  "America/Santo_Domingo",
  "America/Scoresbysund",
  "America/St_Kitts",
  "America/St_Lucia",
  "America/St_Vincent",
  "America/Tegucigalpa",
  "America/Thule",
  "America/Virgin",
  "America/Porto_Acre",
  "America/Noronha",
  "America/Sao_Paulo",
  "America/Manaus",
  "America/Halifax",
  "America/Winnipeg",
  "America/Montreal",
  "America/Edmonton",
  "America/St_Johns",
  "America/Vancouver",
  "America/Regina",
  "America/Whitehorse",
  "America/Santiago",
  "America/Havana",
  "America/Jamaica",
  "America/Tijuana",
  "America/Mazatlan",
  "America/Mexico_City",
  "America/Anchorage",
  "America/Adak",
  "America/Phoenix",
  "America/Chicago",
  "America/Fort_Wayne",
  "America/New_York",
  "America/Knox_IN",
  "America/Detroit",
  "America/Denver",
  "America/Shiprock",
  "America/Los_Angeles",
  "America/Indiana/Marengo",
  "America/Indiana/Vevay",
  "America/Indiana/Indianapolis",
  "America/Indiana/Knox",
  "America/Aruba",
  "America/Boise",
  "America/Dawson",
  "America/Dawson_Creek",
  "America/Glace_Bay",
  "America/Inuvik",
  "America/Iqaluit",
  "America/Juneau",
  "America/Louisville",
  "America/Menominee",
  "America/Nipigon",
  "America/Nome",
  "America/Pangnirtung",
  "America/Rainy_River",
  "America/Rankin_Inlet",
  "America/Swift_Current",
  "America/Thunder_Bay",
  "America/Tortola",
  "America/St_Thomas",
  "America/Yakutat",
  "America/Yellowknife",
  "America/Atka",
  "America/Indianapolis",
  "Asia/Aden",
  "Asia/Alma-Ata",
  "Asia/Amman",
  "Asia/Anadyr",
  "Asia/Ashkhabad",
  "Asia/Baghdad",
  "Asia/Bahrain",
  "Asia/Baku",
  "Asia/Bangkok",
  "Asia/Beirut",
  "Asia/Bishkek",
  "Asia/Brunei",
  "Asia/Calcutta",
  "Asia/Colombo",
  "Asia/Dacca",
  "Asia/Damascus",
  "Asia/Dubai",
  "Asia/Dushanbe",
  "Asia/Gaza",
  "Asia/Irkutsk",
  "Asia/Jakarta",
  "Asia/Jayapura",
  "Asia/Kabul",
  "Asia/Kamchatka",
  "Asia/Karachi",
  "Asia/Katmandu",
  "Asia/Kuala_Lumpur",
  "Asia/Kuwait",
  "Asia/Macao",
  "Asia/Magadan",
  "Asia/Manila",
  "Asia/Muscat",
  "Asia/Nicosia",
  "Asia/Novosibirsk",
  "Asia/Omsk",
  "Asia/Phnom_Penh",
  "Asia/Pyongyang",
  "Asia/Qatar",
  "Asia/Rangoon",
  "Asia/Riyadh",
  "Asia/Saigon",
  "Asia/Tashkent",
  "Asia/Tbilisi",
  "Asia/Thimbu",
  "Asia/Ujung_Pandang",
  "Asia/Ulan_Bator",
  "Asia/Vientiane",
  "Asia/Vladivostok",
  "Asia/Yakutsk",
  "Asia/Yekaterinburg",
  "Asia/Yerevan",
  "Asia/Hong_Kong",
  "Asia/Tehran",
  "Asia/Tel_Aviv",
  "Asia/Tokyo",
  "Asia/Shanghai",
  "Asia/Taipei",
  "Asia/Seoul",
  "Asia/Istanbul",
  "Asia/Aktau",
  "Asia/Singapore",
  "Asia/Chungking",
  "Asia/Harbin",
  "Asia/Kashgar",
  "Asia/Krasnoyarsk",
  "Asia/Urumqi",
  "Asia/Jerusalem",
  "Asia/Riyadh87",
  "Asia/Riyadh88",
  "Asia/Riyadh89",
  "Atlantic/Azores",
  "Atlantic/Bermuda",
  "Atlantic/Canary",
  "Atlantic/Cape_Verde",
  "Atlantic/Faeroe",
  "Atlantic/Jan_Mayen",
  "Atlantic/Madeira",
  "Atlantic/South_Georgia",
  "Atlantic/St_Helena",
  "Atlantic/Stanley",
  "Atlantic/Reykjavik",
  "Australia/Sydney",
  "Australia/ACT",
  "Australia/Lord_Howe",
  "Australia/LHI",
  "Australia/North",
  "Australia/Darwin",
  "Australia/Queensland",
  "Australia/Brisbane",
  "Australia/South",
  "Australia/Adelaide",
  "Australia/Canberra",
  "Australia/NSW",
  "Australia/Tasmania",
  "Australia/Hobart",
  "Australia/Victoria",
  "Australia/Melbourne",
  "Australia/West",
  "Australia/Perth",
  "Australia/Yancowinna",
  "Australia/Broken_Hill",
  "Brazil/Acre",
  "Brazil/DeNoronha",
  "Brazil/East",
  "Brazil/West",
  "Canada/Atlantic",
  "Canada/Central",
  "Canada/Eastern",
  "Canada/Mountain",
  "Canada/Newfoundland",
  "Canada/Pacific",
  "Canada/Saskatchewan",
  "Canada/East-Saskatchewan",
  "Canada/Yukon",
  "Chile/Continental",
  "Chile/EasterIsland",
  "Etc/GMT+1",
  "Etc/GMT+10",
  "Etc/GMT+11",
  "Etc/GMT+12",
  "Etc/GMT+2",
  "Etc/GMT+3",
  "Etc/GMT+4",
  "Etc/GMT+5",
  "Etc/GMT+6",
  "Etc/GMT+7",
  "Etc/GMT+8",
  "Etc/GMT+9",
  "Etc/GMT-1",
  "Etc/GMT-10",
  "Etc/GMT-11",
  "Etc/GMT-12",
  "Etc/GMT-13",
  "Etc/GMT-2",
  "Etc/GMT-3",
  "Etc/GMT-4",
  "Etc/GMT-5",
  "Etc/GMT-6",
  "Etc/GMT-7",
  "Etc/GMT-8",
  "Etc/GMT-9",
  "Etc/GMT",
  "Etc/GMT+0",
  "Etc/GMT-0",
  "Etc/GMT0",
  "Etc/Greenwich",
  "Etc/UCT",
  "Etc/UTC",
  "Etc/Universal",
  "Etc/Zulu",
  "Etc/GMT-14",
  "Europe/Amsterdam",
  "Europe/Andorra",
  "Europe/Athens",
  "Europe/Belfast",
  "Europe/Belgrade",
  "Europe/Berlin",
  "Europe/Brussels",
  "Europe/Bucharest",
  "Europe/Budapest",
  "Europe/Chisinau",
  "Europe/Copenhagen",
  "Europe/Dublin",
  "Europe/Gibraltar",
  "Europe/Helsinki",
  "Europe/Kiev",
  "Europe/Kuybyshev",
  "Europe/Ljubljana",
  "Europe/Luxembourg",
  "Europe/Madrid",
  "Europe/Malta",
  "Europe/Minsk",
  "Europe/Monaco",
  "Europe/Oslo",
  "Europe/Paris",
  "Europe/Prague",
  "Europe/Bratislava",
  "Europe/Riga",
  "Europe/Sarajevo",
  "Europe/Simferopol",
  "Europe/Skopje",
  "Europe/Sofia",
  "Europe/Stockholm",
  "Europe/Tallinn",
  "Europe/Tirane",
  "Europe/Vaduz",
  "Europe/Vatican",
  "Europe/Rome",
  "Europe/San_Marino",
  "Europe/Vienna",
  "Europe/Vilnius",
  "Europe/Zagreb",
  "Europe/Zurich",
  "Europe/London",
  "Europe/Warsaw",
  "Europe/Lisbon",
  "Europe/Istanbul",
  "Europe/Moscow",
  "Indian/Antananarivo",
  "Indian/Chagos",
  "Indian/Christmas",
  "Indian/Cocos",
  "Indian/Comoro",
  "Indian/Mahe",
  "Indian/Maldives",
  "Indian/Mauritius",
  "Indian/Mayotte",
  "Indian/Reunion",
  "Mexico/BajaNorte",
  "Mexico/BajaSur",
  "Mexico/General",
  "Mideast/Riyadh87",
  "Mideast/Riyadh88",
  "Mideast/Riyadh89",
  "Pacific/Auckland",
  "Pacific/Chatham",
  "Pacific/Easter",
  "Pacific/Efate",
  "Pacific/Enderbury",
  "Pacific/Fakaofo",
  "Pacific/Fiji",
  "Pacific/Funafuti",
  "Pacific/Galapagos",
  "Pacific/Gambier",
  "Pacific/Guadalcanal",
  "Pacific/Guam",
  "Pacific/Kiritimati",
  "Pacific/Kwajalein",
  "Pacific/Majuro",
  "Pacific/Marquesas",
  "Pacific/Midway",
  "Pacific/Nauru",
  "Pacific/Niue",
  "Pacific/Norfolk",
  "Pacific/Noumea",
  "Pacific/Palau",
  "Pacific/Pitcairn",
  "Pacific/Ponape",
  "Pacific/Port_Moresby",
  "Pacific/Rarotonga",
  "Pacific/Tahiti",
  "Pacific/Tarawa",
  "Pacific/Tongatapu",
  "Pacific/Truk",
  "Pacific/Wake",
  "Pacific/Wallis",
  "Pacific/Yap",
  "Pacific/Honolulu",
  "Pacific/Samoa",
  "Pacific/Apia",
  "Pacific/Johnston",
  "Pacific/Kosrae",
  "Pacific/Saipan",
  "Pacific/Pago_Pago",
  "SystemV/AST4",
  "SystemV/AST4ADT",
  "SystemV/CST6",
  "SystemV/CST6CDT",
  "SystemV/EST5",
  "SystemV/EST5EDT",
  "SystemV/HST10",
  "SystemV/MST7",
  "SystemV/MST7MDT",
  "SystemV/PST8",
  "SystemV/PST8PDT",
  "SystemV/YST9",
  "SystemV/YST9YDT",
  "US/Alaska",
  "US/Aleutian",
  "US/Arizona",
  "US/Central",
  "US/East-Indiana",
  "US/Eastern",
  "US/Hawaii",
  "US/Indiana-Starke",
  "US/Michigan",
  "US/Mountain",
  "US/Pacific-New",
  "US/Pacific",
  "US/Samoa",
  "Cuba",
  "EET",
  "Egypt",
  "Eire",
  "Factory",
  "GB",
  "Hongkong",
  "Iceland",
  "Iran",
  "Israel",
  "Jamaica",
  "Japan",
  "Libya",
  "MET",
  "CET",
  "PRC",
  "NZ",
  "NZ-CHAT",
  "Kwajalein",
  "Poland",
  "Portugal",
  "ROC",
  "ROK",
  "Singapore",
  "Turkey",
  "MST",
  "CST6CDT",
  "EST",
  "EST5EDT",
  "HST",
  "MST7MDT",
  "Navajo",
  "PST8PDT",
  "W-SU",
  "WET",
  "Zulu",
  "GMT",
  "GMT+0",
  "GMT-0",
  "GMT0",
  "Greenwich",
  "UCT",
  "UTC",
  "Universal",
  NULL
};

char *HelpMsg[] = {

"Enter the name of your computer into this field.  A hostname may 
consist of the letters a-z, the numbers 0-9, and/or the dash (-) 
symbol. The hostname must not contain any periods (.) in it.",

"Enter the domain name for your computer into this field. The
domain name may consist of letters, numbers, dashes, and
periods. A typical example might be \"rebel.com\".",

"This field should contain the network base address for the external
Zaphod network (ie between zaphod and the internet). A typical example
would be \"192.168.2.0\".",

"This field should contain the network mask for the preceding
address. It should be entered as four numbers separated by
periods (.) A typical example is \"255.255.255.0\".",

"This field should contain the class C network base address for the
internal Zaphod network (ie between nodes and controller). A typical
example would be \"192.168.1.0\".",

"This field should contain the network mask for the preceding
address. It should be entered as four numbers separated by
periods (.) A typical example is \"255.255.255.0\".",

"The gateway is a host computer that connects between networks (for
example, from your company network to the Internet). You should enter
the IP address of your gateway into this field.",

"This field should contain the IP address of a name server (or DNS). 
Multiple name servers may be specified by simply listing their
addresses, separated by spaces.",

"Use the cursor left/right keys to select the interval for reporting
web server statistics. The web server statistics are used by the load 
balancer in conjunction with the Zaphod load-balancing algorithm.",

"Use the cursor left/right keys to select the load balancing algorithm
to use for name-based virtual hosts. The load balancing algorithm controls
how the incoming traffic is distributed to the processor nodes.",

"Enter the Zaphod server adminstrator's email address. Apache will send
emails to this address to report errors. A typical example might be
\"webmaster@rebel.com\".",

"Use the cursor left/right keys to select the proper time zone in
which your system is located.  If there is no match for your
location, select the one that is next nearest to you.",

"Set the system time here. Use the cursor left/right keys to move
between fields and the + and - keys to increment or decrement the
value in each field. The time is entered using 24-hour notation.",

"Enter the IP address of the NFS server where you installed the
Zaphod Apache files. This must be on the same network you chose
for the internal nodes (eg 192.168.1.1).",

"Enter the NFS path to the Zaphod Apache files. A typical example
might be \"/apache\".",

"Enter the NFS path to your document root directory. This is where
all your web-accessible content resides, including your \"cgi-bin\"
directory.",

"Enter the network address (eg 192.168.1.0) in this field.",

"Use the left/right cursor keys to navigate through the list of
virtual servers. Press Enter to create or edit a virtual server.
Press Backspace or Delete to remove a virtual server.",

"Enter the hostname of this virtual server.  A hostname may 
consist of the letters a-z, the numbers 0-9, and/or the dash (-) 
symbol. The hostname must not contain any periods (.) in it.",

"Enter the domain name for this virtual server. The domain name
may consist of letters, numbers, dashes, and periods. A typical
example might be \"hcc.ca\".",

"Enter the IP address for this virtual server into this field. This
must be a valid Internet address reachable from the outside world.",

"Enter the port number assigned to this virtual server.",

"Enter the full NFS path to this virtual server's HTML documents.",

"Enter the full NFS path to this virtual server's CGI directory. Leave
this field blank to disable CGI execution for this virtual server.",

"Use the left/right cursor keys to enable or disable SSL for this
virtual host.",

"Specify the SSL certificate file for this virtual host. This should
be a full path name to a file with a \'.pem\' extension.",

"Server Side Includes allow page authors to include executable file
output in their HTML pages. They are a potential security risk and are
normally disabled. Choose the setting for this server here.",

"Enter the name of the load balancing algorithm to use for this virtual
virtual server. A load balancing algorithm controls how the incoming
traffic is distributed to the processor nodes.",

"Enter a comma or space separated list of node numbers here. These
numbers represent the slot numbers of the processor nodes that will
be assigned to handle the traffic of this virtual server."

};

char *ErrMsg[] = {

"You must provide a value for this field.  Leaving it
blank is not allowed.  Please try again.",

"The domain name must not begin or end with periods.
Allowable characters include the letters A through Z, 
the numbers 0 through 9, dashes (-) and underscore (_).
Please remove the incorrect characters and try again.",

"The IP address is invalid.  The correct format is four
numbers separated by periods.  Each number must be in
the range of 0 to 255.  No other characters are allowed.",

"The IP address is invalid.  The correct format is four
numbers separated by periods.  Each number must be in 
the range of 0 to 255.  No other characters are allowed.
If you wish to disable this interface, enter a value of
0 (zero) in the input field.",

"The date or time you specified is invalid.",

"The date or time you specified is invalid.  The year
must be greater than 1901 and no more than 2037.",

"The email address you specified is invalid. It must
contain '@' and cannot contain '*'. A valid example is
webmaster@rebel.com.",

"Paths must end with a '/'."
};

char *SplashMsg = 
"         Welcome to the Zaphod configuration utility

This program will assist you to set up the basic parameters for 
your Zaphod cluster.  Enter values in each field as appropriate
for your system, using the cursor up/down keys to move between 
fields. 

                    Press a key to begin.";
